/*              NAVBAR                  */
@import url('https://fonts.googleapis.com/css?family=Quicksand:400,500,700');
html,
body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Quicksand", sans-serif;
    font-size: 62.5%;
    font-size: 10px;
}

.nav {
    width: 100%;
    height: 65px;
    position: fixed;
    line-height: 65px;
    text-align: center;
}

.nav div.logo {
    float: left;
    width: auto;
    height: auto;
    padding-left: 3rem;
}

.nav div.logo a {
    text-decoration: none;
    color: #fff;
    font-size: 2.5rem;
}

.nav div.logo a:hover {
    color: #00E676;
}

.nav div.main_list {
    height: 65px;
    float: right;
}

.nav div.main_list ul {
    width: 100%;
    height: 65px;
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
}

.nav div.main_list ul li {
    width: auto;
    height: 65px;
    padding: 0;
    padding-right: 3rem;
}

.nav div.main_list ul li a {
    text-decoration: none;
    color: #fff;
    line-height: 65px;
    font-size: 2.4rem;
}

.nav div.main_list ul li a:hover {
    color: #00E676;
}

.navTrigger {
    display: none;
}

.nav {
    padding-top: 20px;
    padding-bottom: 20px;
    transition: all 0.4s ease;
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
    .container {
        margin: 0;
    }
}

@media screen and (max-width:768px) {
    .navTrigger {
        display: block;
    }
    .nav div.logo {
        margin-left: 15px;
    }
    .nav div.main_list {
        width: 100%;
        height: 0;
        overflow: hidden;
    }
    .nav div.show_list {
        height: auto;
        display: none;
    }
    .nav div.main_list ul {
        flex-direction: column;
        width: 100%;
        height: 100vh;
        right: 0;
        left: 0;
        bottom: 0;
        background-color: #111;
        background-position: center top;
    }
    .nav div.main_list ul li {
        width: 100%;
        text-align: right;
    }
    .nav div.main_list ul li a {
        text-align: center;
        width: 100%;
        font-size: 3rem;
        padding: 20px;
    }
    /* .nav div.media_button {
        display: block;
    } */
}

.navTrigger {
    cursor: pointer;
    width: 30px;
    height: 25px;
    margin: auto;
    position: absolute;
    right: 30px;
    top: 0;
    bottom: 0;
}

.navTrigger i {
    background-color: #fff;
    border-radius: 2px;
    content: '';
    display: block;
    width: 100%;
    height: 4px;
}

.navTrigger i:nth-child(1) {
    animation: outT 0.8s backwards;
    animation-direction: reverse;
}

.navTrigger i:nth-child(2) {
    margin: 5px 0;
    animation: outM 0.8s backwards;
    animation-direction: reverse;
}

.navTrigger i:nth-child(3) {
    animation: outBtm 0.8s backwards;
    animation-direction: reverse;
}

.navTrigger.active i:nth-child(1) {
    animation: inT 0.8s forwards;
}

.navTrigger.active i:nth-child(2) {
    animation: inM 0.8s forwards;
}

.navTrigger.active i:nth-child(3) {
    animation: inBtm 0.8s forwards;
}

@keyframes inM {
    50% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(45deg);
    }
}

@keyframes outM {
    50% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(45deg);
    }
}

@keyframes inT {
    0% {
        transform: translateY(0px) rotate(0deg);
    }
    50% {
        transform: translateY(9px) rotate(0deg);
    }
    100% {
        transform: translateY(9px) rotate(135deg);
    }
}

@keyframes outT {
    0% {
        transform: translateY(0px) rotate(0deg);
    }
    50% {
        transform: translateY(9px) rotate(0deg);
    }
    100% {
        transform: translateY(9px) rotate(135deg);
    }
}

@keyframes inBtm {
    0% {
        transform: translateY(0px) rotate(0deg);
    }
    50% {
        transform: translateY(-9px) rotate(0deg);
    }
    100% {
        transform: translateY(-9px) rotate(135deg);
    }
}

@keyframes outBtm {
    0% {
        transform: translateY(0px) rotate(0deg);
    }
    50% {
        transform: translateY(-9px) rotate(0deg);
    }
    100% {
        transform: translateY(-9px) rotate(135deg);
    }
}

.affix {
    padding: 0;
    background-color: #111;
}

.addiction-logo {
    width: 10%;
    display: inline-block;
    overflow: hidden;

    margin: 0;
    padding: 0;
    /* display: none; */
}

/*              ABOUT                  */

#about {
    width: 100%;
    height: 100vh;
    background-image: url("background.jpg");
    background-position: center top;
	background-size:cover;
}



/* //////////////////////////////////// */



.myH2 {
	text-align:center;
	font-size: 4rem;
}
.myP {
	text-align: justify;
	padding-left:15%;
	padding-right:15%;
	font-size: 20px;
}

html                                                        { scroll-behavior: smooth;    }
#portfolio                                                  { text-align: center;         }
#portfolio::first-line                                      { text-decoration: underline; }
#projectsContainer                                          { margin-bottom: 30px;        }

#portfolio a.button                                         { text-decoration: none;
                                                              color: white;
                                                              background-color: #111;
                                                              padding: 10px;
                                                              display: block;
                                                              transition: background-color 0.2s;
                                                            }

#portfolio a.button:hover                                   { background-color: hsl(151, 100%, 35%); }
#portfolio a.button:active, #portfolio a.button.current     { background-color: hsl(151, 100%, 50%); }
.projectTab > img                                           { width:  200px; 
                                                              height: 200px;
                                                            }
.description                                                { font-size: 0.9em; 
                                                              margin: 0 30px;
                                                            }
.description pre                                            { margin-left: -40px;
                                                              background-color: hsl(0,0,80%);
                                                            }
.description ol, .description ul, .description pre          { text-align: left;}
#projectDetails img.preview                                 { width:  300px;
                                                              height: 300px;
                                                            }
.projectTab                                                 { margin:  5px;
                                                              padding: 10px;
                                                            }
#projectDetails img                                         { margin: auto; }

@media all and (max-width:700px){
	.myP {
		padding:2%;
	}
}


@media screen and (min-width:756px){
    #projectsContainer{ display: flex;
                        justify-content: center;    
        
                      }
    .description      { font-size: 1.5em;
                        padding: 0 20%;             
                        text-align: center;         
                      }
}